ExtendedProxy (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class ExtendedProxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.Proxy
              grails.util.ExtendedProxy

    public class ExtendedProxy
    extends groovy.util.Proxy

Extends the Groovy Proxy implementation and adds proxying of property getters/setters.

Authors:
  Graeme Rocher
  Jonathan Carlson

Constructor Summary
`ExtendedProxy()`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String property)`
`void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class groovy.util.Proxy
groovy.util.Proxy#invokeMethod(java.lang.String, java.lang.Object), groovy.util.Proxy#iterator(), groovy.util.Proxy#wrap(java.lang.Object), groovy.util.Proxy#getAdaptee(), groovy.util.Proxy#setAdaptee(java.lang.Object), groovy.util.Proxy#getMetaClass(), groovy.util.Proxy#setMetaClass(groovy.lang.MetaClass), groovy.util.Proxy#setProperty(java.lang.String, java.lang.Object), groovy.util.Proxy#getProperty(java.lang.String), groovy.util.Proxy#wait(long, int), groovy.util.Proxy#wait(long), groovy.util.Proxy#wait(), groovy.util.Proxy#equals(java.lang.Object), groovy.util.Proxy#toString(), groovy.util.Proxy#hashCode(), groovy.util.Proxy#getClass(), groovy.util.Proxy#notify(), groovy.util.Proxy#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### ExtendedProxy

    public ExtendedProxy()

Method Detail

### getProperty

    @java.lang.Override
    public java.lang.Object getProperty(java.lang.String property)

### setMetaClass

    @java.lang.Override
    public void setMetaClass(groovy.lang.MetaClass metaClass)

### setProperty

    @java.lang.Override
    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation